Get all contract header translations

get

/fscmRestApi/resources/11.13.18.05/contracts/{contractsUniqID}/child/ContractHeaderTranslation

Request

Path Parameters
  • This is the hash key of the attributes which make up the composite key for the Contracts resource and used to uniquely identify an instance of Contracts. The client should not generate the hash key value. Instead, the client should query on the Contracts collection resource in order to navigate to a specific instance of Contracts to get the hash key.
Query Parameters
  • This parameter specifies dependencies which are fields that are set before and rolled back after generating the response. Generally they are used to preview the effects of an attribute change. The fields specified in this parameter are always set in the resource instance in question. When a child resource collection is requested and the parameter is set, the fields will be set in the parent resource instance before generating the resource collection payload. The value of this query parameter is a set of dependency fields. Example: dependency=ProductId=2

    Format: <attr1>=<val1>,<attr2>=<value2>
  • When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
  • This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.

    Format: ?fields=Attribute1,Attribute2

    Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2
  • Used as a predefined finder to search the collection.

    Format: ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>

    The following are the available finder names and corresponding finder variables:

    • PrimaryKey: Finds the contract header translation with the specified contract ID, Major Version and Language.
      Finder Variables:
      • Id; integer; The unique identifier of the contract.
      • Language; string; The language code.
      • MajorVersion; integer; The contract major version.
  • This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
  • This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>

    Example:
    self,canonical
  • Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
  • The resource item payload will be filtered in order to contain only data (no links section, for example).
  • This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
  • This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY

    Format: ?q=expression1;expression2

    You can use these queryable attributes to filter this collection resource using the q query parameter:
    • Cognomen; string; Contract Name
    • Description; string; Description of the Contract
    • Id; integer; Contract Translation ID
    • Language; string; Indicates the code of the language into which the contents of the translatable columns are translated.
    • MajorVersion; integer; Major Version
    • ShortDescription; string; Short Description
    • SourceLang; string; Source Language
    • VersionDescription; string; Version Description
  • The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.

There's no request body for this operation.

Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Headers
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Body ()
Root Schema : contracts-ContractHeaderTranslation
Type: object
Show Source
Nested Schema : Items
Type: array
Title: Items
The items in the collection.
Show Source
Nested Schema : contracts-ContractHeaderTranslation-item-response
Type: object
Show Source
Back to Top

Examples

The following example shows how to get all contract header translations by submitting a GET request on the REST resource using cURL.

cURL Command

curl -X GET "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/{contractsUniqID}/child/ContractHeaderTranslation" \
  -u "username:password" \
  -H "REST-Framework-Version: 8"

Example of Response Body

The following shows the contents of the response body in JSON format.
{
  "items": [
    {
      "Id": 999990000000722,
      "MajorVersion": 2,
      "ExternalSource": null,
      "ExternalKey": null,
      "InvConvRateTypeName": null,
      "InvConvRateDateTypeName": null,
      "OrgName": "Vision Operations",
      "OrgId": 204,
      "ContractTypeName": "Sell : No lines",
      "ContractClass": "CONTRACT",
      "ContractTypeId": 103,
      "ContractNumber": "ECM Contract  : 999990000000722",
      "ContractNumberModifier": null,
      "Cognomen": "ECM Contract  : 999990000000722",
      "BuyOrSell": "S",
      "PartyId": 1004,
      "PartyName": "Hilman and Associates",
      "InvOrganizationId": 204,
      "StsCode": "EXPIRED",
      "CurrencyCode": "USD",
      "StartDate": "2008-08-06",
      "EndDate": "2009-08-06",
      "TrnCode": null,
      "SupplierId": null,
      "SupplierSiteId": null,
      "InvConvRateType": null,
      "InvConvRateDateType": null,
      "InvConvRateDate": null,
      "InvTrxTypeId": 324,
      "InvTrxTypeName": "Inv-Consult-South",
      "InvPrepayTrxTypeId": null,
      "InvPrepayTrxTypeName": null,
      "BillToAccountId": 1004,
      "BillToAccount": "Hilman and Associates",
      "BillToAccountNumber": "1004",
      "BillToSiteUseId": 1017,
      "BillToSiteUseLocation": "Tulsa (OPS)",
      "BillToAddress": "1230 East 60th Street South,OK",
      "ShipToAccountId": 1004,
      "ShipToAccount": "Hilman and Associates",
      "ShipToAccountNumber": "1004",
      "ShipToSiteUseId": 1018,
      "ShipToSiteUseLocation": "Tulsa (OPS)",
      "ShipToAddress": "1230 East 60th Street South,OK",
      "ShipToAccountDescription": "Hilman and Associates",
      "SoldToAccountId": null,
      "SoldToAccount": null,
      "SoldToAccountNumber": null,
      "SoldToSiteId": null,
      "SoldToNumber": null,
      "SoldToAddress": null,
      "SoldToAccountDescription": null,
      "ShipInvOrgId": 204,
      "RecvInvOrgId": null,
      "LegalEntityId": 204,
      "OutputTaxClassificationCode": null,
      "DateApproved": "2008-08-05",
      "DatetimeCancelled": null,
      "DateSigned": "2008-08-05",
      "DateTerminated": null,
      "TerminateCancelSource": null,
      "ContributionPercent": null,
      "BillSequence": null,
      "OverallRiskCode": null,
      "ShortDescription": "ECM Contract  : 999990000000722",
      "Description": "ECM Contract  : 999990000000722",
      "HoldReasonCode": null,
      "HoldUntilDate": null,
      "AmendmentEffectiveDate": null,
      "TaxExemptionControl": null,
      "ExemptCertificateNumber": null,
      "ExemptReasonCode": null,
      "ProjectEnabledFlag": false,
      "OutputTaxSetId": 204,
      "PartyObjectType": "OKX_PARTY",
      "PrimaryLedgerId": 1,
      "CustomerPartyId": 1004,
      "CustomerPartySiteId": 1018,
      "GeneratedInvoiceStatus": null,
      "OwningOrgId": null,
      "NetInvoiceFlag": null,
      "VersionType": "C",
      "OwningOrgName": null,
      "TaxClassificationMeaning": null,
      "ExemptionReasonMeaning": null,
      "FreightTerms": null,
      "FOB": null,
      "ApTermsId": null,
      "TermsEnabledFlag": true,
      "AmendRenderedFlag": "true",
      "DeleteRenderedFlag": "false",
      "ShipToLocationId": null,
      "CancelRenderedFlag": false,
      "CloseRenderedFlag": "true",
      "ApplyHoldRenderedFlag": "true",
      "RemoveHoldRenderedFlag": "false",
      "RevertRenderedFlag": "false",
      "SignContractRenderedFlag": "false",
      "ServiceEnabledFlag": "false",
      "EstimatedAmount": 72300,
      "TaxAmount": null,
      "LastUpdateDate": "2025-12-18T13:14:07+00:00",
      "LastUpdateLogin": "6A1B5CFA643A7EF2E0534280F50A1722",
      "LastUpdatedBy": "FUSION",
      "VersionEnabledFlag": false,
      "SubmitRenderedFlag": "false",
      "CreatedBy": "1",
      "CreationDate": "2008-09-05T15:28:17+00:00",
      "CurrencyConversionEnabledFlag": null,
      "LedgerCurrency": "USD",
      "BilltoLocationId": null,
      "StopApprovalRenderedFlag": "false",
      "ValidateContractRenderedFlag": "true",
      "AgreedAmount": null,
      "AgreementAmountLimit": null,
      "MinimumReleaseAmount": null,
      "EncumbranceLevel": null,
      "CarrierId": null,
      "CarrierName": null,
      "CloseReason": null,
      "CancelReason": null,
      "AuthoringPartyCode": null,
      "PCDFileName": null,
      "HoldReasonMeaning": null,
      "PrimaryPartyId": 1004,
      "OrigSystemId": null,
      "OrigSystemReference": null,
      "OrigSystemSourceCode": null,
      "ItemSourceCode": "PRODUCT_MASTER",
      "StateTransitionFlowName": null,
      "StateTransitionFlowState": "EXPIRED",
      "UserStatusCode": null,
      "AssigneeType": null,
      "AssigneeId": null,
      "Assignee": null,
      "CustomerPONumber": null,
      "ApprovalNote": null,
      "AccessLevel": "UPDATE",
      "ContractEditableFlag": "true",
      "TemplateFlag": false,
      "BillingSalesrepId": null,
      "BillingSalesrepName": null,
      "EnableManageSignature": "N",
      "ReopenEnabledFlag": false,
      "VersionDescription": null,
      "AllowTeamUserBUAccess": "true",
      "PriceList": null,
      "AdjustmentBasis": null,
      "CommitmentAmount": 0,
      "DiscountPercent": null,
      "AllowGrantContractType": "N",
      "PriceListName": null,
      "TrnCodeSetId": null,
      "HoldReasonCodeSetId": null,
      "WebServiceFlag": null,
      "TermsTemplateId": null,
      "ContractOwnerId": null,
      "Status": "Expired",
      "BuyOrSell_Meaning": "Sell",
      "AuthoringPartyMeaning": null,
      "InvOrgName": "Vision Operations",
      "Supplier": null,
      "SupplierSite": null,
      "ShipInvOrg": "Vision Operations",
      "RecvInvOrg": null,
      "Currency": "US Dollar",
      "UserStatusMeaning": null,
      "LegalEntityName": "Vision Operations",
      "ShipToOrgLocation": null,
      "BillToLocation": null,
      "AllowLinesFlag": false,
      "EnableElectronicSignFlag": false,
      "ContractTrueValue": null,
      "ShipToPartyId": null,
      "PricingStrategyId": null,
      "PricingStrategyName": null,
      "PricingSegmentCode": null,
      "PricingEffectivityDate": null,
      "ShipToPartyName": null,
      "ShipToPartySiteLocation": null,
      "CustomerPartyName": "Hilman and Associates",
      "TermsTemplateName": null,
      "TrxnExtensionId": null,
      "BillToAccountPartyId": 1004,
      "RenewalType": null,
      "UnderMigrationFlag": null,
      "TargetLineName": null,
      "TargetLineId": null,
      "TargetLineMajorVer": null,
      "ContractId": 100100069436906,
      "CorpCurrencyCode": null,
      "CurcyConvRateType": null,
      "PrimarySalesrepId": null,
      "AmendNoVersionFlag": false,
      "AutoSendForSignature": null,
      "PriceApplicationRule": null,
      "EsignTemplateId": null,
      "SignContract": null,
      "SendForSignature": null,
      "NonStandardClauseCount": "0",
      "CancelReasonSetCode": null,
      "CloseReasonSetCode": null,
      "HoldReasonSetCode": null,
      "ContractPuid": "KHDR-258",
      "EncumbranceLevelMeaning": null,
      "FOBMeaning": null,
      "FreightTermsMeaning": null,
      "TaxExemptionControlMeaning": null,
      "SourceDocumentId": null,
      "SourceDocumentSystemCode": null,
      "SourceDocumentDisplayNumber": null,
      "ApTermsName": null,
      "RunContractExpertFlag": null,
      "DocumentType": "ECM_SELL",
      "ShareWithExternalPartyYn": "N",
      "BaseContractYN": "N",
      "SkipPDPFlag": null,
      "InterCompanyFlag": false,
      "InterProjectFlag": false,
      "LineClassCode": null,
      "AiSummaryAttachInApprovalFlag": null,
      "AiSummaryGenerateDate": null,
      "AiSummaryPcdIncludedFlag": true,
      "AiSummaryRequestId": null,
      "AiSummaryRequestStatus": null,
      "AiSummaryRequestStatusMeaning": null,
      "SourceDocumentSystemMeaning": null,
      "ContractTermsSourceCode": null,
      "SimpleContractYn": null,
      "TermsAuthoringPartyCode": null,
      "AiAdvisorAgentFlag": null,
      "TermsAuthoringPartyMeaning": null,
      "ContractTermsSourceMeaning": null,
      "FulfillmentStatus": null,
      "FulfillmentStatusMeaning": null,
      "PoDocumentStyleDisplay": null,
      "PoDocumentStatusDisplay": null,
      "PoSupplierName": null,
      "PoHeaderId": null,
      "PoVersionId": null,
      "ProcessingId": null,
      "ShareInSupplierPortalRenderedFlag": false,
      "RedwoodFlag": null,
      "ExtractKeyTermsRenderedFlag": false,
      "PoDocumentNumber": null,
      "AiSummSubmittedBy": null,
      "AiSummSubmittedDate": null,
      "AiSummSubmittedByDispName": null,
      "SmartRedlineAgentTeamCode": null,
      "ContractConstant": "CONTRACT",
      "PoDocumentStatusCode": null,
      "FulfillmentChrId": null,
      "ContractHeaderTranslation": {
        "items": [
          {
            "Cognomen": "ECM Contract  : 999990000000722",
            "Description": "ECM Contract  : 999990000000722",
            "Id": 999990000000722,
            "Language": "AR",
            "MajorVersion": 2,
            "ShortDescription": "ECM Contract  : 999990000000722",
            "SourceLang": "US",
            "VersionDescription": null,
            "@context": {
              "key": "999990000000722,AR,2",
              "headers": {
                "ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
              },
              "links": [
                {
                  "rel": "self",
                  "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/child/ContractHeaderTranslation/999990000000722%2CAR%2C2",
                  "name": "ContractHeaderTranslation",
                  "kind": "item"
                },
                {
                  "rel": "canonical",
                  "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/child/ContractHeaderTranslation/999990000000722%2CAR%2C2",
                  "name": "ContractHeaderTranslation",
                  "kind": "item"
                },
                {
                  "rel": "parent",
                  "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906",
                  "name": "contracts",
                  "kind": "item"
                }
              ]
            }
          },
          {
            "Cognomen": "ECM Contract  : 999990000000722",
            "Description": "ECM Contract  : 999990000000722",
            "Id": 999990000000722,
            "Language": "IW",
            "MajorVersion": 2,
            "ShortDescription": "ECM Contract  : 999990000000722",
            "SourceLang": "US",
            "VersionDescription": null,
            "@context": {
              "key": "999990000000722,IW,2",
              "headers": {
                "ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
              },
              "links": [
                {
                  "rel": "self",
                  "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/child/ContractHeaderTranslation/999990000000722%2CIW%2C2",
                  "name": "ContractHeaderTranslation",
                  "kind": "item"
                },
                {
                  "rel": "canonical",
                  "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/child/ContractHeaderTranslation/999990000000722%2CIW%2C2",
                  "name": "ContractHeaderTranslation",
                  "kind": "item"
                },
                {
                  "rel": "parent",
                  "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906",
                  "name": "contracts",
                  "kind": "item"
                }
              ]
            }
          },
          {
            "Cognomen": "[ECM Contract  : 999990000000722Ω'+++ '+++ '+++ '++Ø",
            "Description": "[ECM Contract  : 999990000000722Ω'+++ '+++ '+++ '++Ø",
            "Id": 999990000000722,
            "Language": "KO",
            "MajorVersion": 2,
            "ShortDescription": "[ECM Contract  : 999990000000722Ω'+++ '+++ '+++ '++Ø",
            "SourceLang": "KO",
            "VersionDescription": null,
            "@context": {
              "key": "999990000000722,KO,2",
              "headers": {
                "ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
              },
              "links": [
                {
                  "rel": "self",
                  "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/child/ContractHeaderTranslation/999990000000722%2CKO%2C2",
                  "name": "ContractHeaderTranslation",
                  "kind": "item"
                },
                {
                  "rel": "canonical",
                  "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/child/ContractHeaderTranslation/999990000000722%2CKO%2C2",
                  "name": "ContractHeaderTranslation",
                  "kind": "item"
                },
                {
                  "rel": "parent",
                  "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906",
                  "name": "contracts",
                  "kind": "item"
                }
              ]
            }
          }
        ],
        "count": 3,
        "hasMore": true,
        "limit": 3,
        "offset": 0,
        "links": [
          {
            "rel": "self",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/child/ContractHeaderTranslation",
            "name": "ContractHeaderTranslation",
            "kind": "collection"
          }
        ]
      },
      "@context": {
        "key": "100100069436906",
        "headers": {
          "ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000278"
        },
        "links": [
          {
            "rel": "self",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906",
            "name": "contracts",
            "kind": "item"
          },
          {
            "rel": "canonical",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906",
            "name": "contracts",
            "kind": "item"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/child/AiGenerateSummaryDocs",
            "name": "AiGenerateSummaryDocs",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/child/BillPlan",
            "name": "BillPlan",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/child/BillingControl",
            "name": "BillingControl",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/child/ContractApprovalHistory",
            "name": "ContractApprovalHistory",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/child/ContractDocuments",
            "name": "ContractDocuments",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/child/ContractEsignHistory",
            "name": "ContractEsignHistory",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/child/ContractHeaderFlexfieldVA",
            "name": "ContractHeaderFlexfieldVA",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/child/ContractHeaderTranslation",
            "name": "ContractHeaderTranslation",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/child/ContractLine",
            "name": "ContractLine",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/child/ContractParty",
            "name": "ContractParty",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/child/ContractStatusHistory",
            "name": "ContractStatusHistory",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/child/ContractTerms",
            "name": "ContractTerms",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/child/ExternalSharedDocuments",
            "name": "ExternalSharedDocuments",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/child/InternalSharedDocuments",
            "name": "InternalSharedDocuments",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/child/Note",
            "name": "Note",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/child/RelatedDocument",
            "name": "RelatedDocument",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/child/RevenuePlan",
            "name": "RevenuePlan",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/child/SalesCredit",
            "name": "SalesCredit",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/child/Section",
            "name": "Section",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/child/SupportingDocuments",
            "name": "SupportingDocuments",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/child/UploadedRevisions",
            "name": "UploadedRevisions",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/child/contractKeyTermExtracts",
            "name": "contractKeyTermExtracts",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/child/smartActions",
            "name": "smartActions",
            "kind": "collection"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/action/validateContract",
            "name": "validateContract",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/action/createVersion",
            "name": "createVersion",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/action/revertContract",
            "name": "revertContract",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/action/sign",
            "name": "sign",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/action/submitForApproval",
            "name": "submitForApproval",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/action/downloadLatestContractDocument",
            "name": "downloadLatestContractDocument",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/action/classifyKeyTerms",
            "name": "classifyKeyTerms",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/action/stopApproval",
            "name": "stopApproval",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/action/getUpdatableAttributes",
            "name": "getUpdatableAttributes",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/action/reopen",
            "name": "reopen",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/action/getAllInternalPartyContacts",
            "name": "getAllInternalPartyContacts",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/action/getAllExternalPartyContacts",
            "name": "getAllExternalPartyContacts",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/action/downloadAIContractSummaryPDF",
            "name": "downloadAIContractSummaryPDF",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/action/isContractRedwoodCompatible",
            "name": "isContractRedwoodCompatible",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/action/getDefaultTermsTemplate",
            "name": "getDefaultTermsTemplate",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/action/applyHold",
            "name": "applyHold",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/action/removeHold",
            "name": "removeHold",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/action/cancel",
            "name": "cancel",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/action/duplicate",
            "name": "duplicate",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/action/preview",
            "name": "preview",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/action/close",
            "name": "close",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/action/amend",
            "name": "amend",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/action/extractKeyTermValues",
            "name": "extractKeyTermValues",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/action/downloadContractTermsInWord",
            "name": "downloadContractTermsInWord",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/action/generateContractSummary",
            "name": "generateContractSummary",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/action/shareInSupplierPortal",
            "name": "shareInSupplierPortal",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/action/createContractEnvelopeForSignature",
            "name": "createContractEnvelopeForSignature",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/action/manageContractEnvelopeStatus",
            "name": "manageContractEnvelopeStatus",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/action/manageContractSignatureEnvelope",
            "name": "manageContractSignatureEnvelope",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/action/removeContractTerms",
            "name": "removeContractTerms",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/action/getSignedContractEnvelopeHistoryUrl",
            "name": "getSignedContractEnvelopeHistoryUrl",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/action/addContractTermsStructured",
            "name": "addContractTermsStructured",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/action/addContractTermsAttachedDocument",
            "name": "addContractTermsAttachedDocument",
            "kind": "other"
          },
          {
            "rel": "enclosure",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069436906/enclosure/AiSummary",
            "name": "AiSummary",
            "kind": "other"
          }
        ]
      }
    },
    {
      "Id": 999990000000755,
      "MajorVersion": 2,
      "ExternalSource": null,
      "ExternalKey": null,
      "InvConvRateTypeName": "Corporate",
      "InvConvRateDateTypeName": "Transaction date",
      "OrgName": "Vision Operations",
      "OrgId": 204,
      "ContractTypeName": "Sell : Project lines",
      "ContractClass": "CONTRACT",
      "ContractTypeId": 104,
      "ContractNumber": "ECM Contract  : 999990000000755",
      "ContractNumberModifier": null,
      "Cognomen": "ECM Contract  : 999990000000755",
      "BuyOrSell": "S",
      "PartyId": 1004,
      "PartyName": "Hilman and Associates",
      "InvOrganizationId": 204,
      "StsCode": "EXPIRED",
      "CurrencyCode": "USD",
      "StartDate": "2008-05-01",
      "EndDate": "2008-09-04",
      "TrnCode": null,
      "SupplierId": null,
      "SupplierSiteId": null,
      "InvConvRateType": "Corporate",
      "InvConvRateDateType": "TRANSACTION",
      "InvConvRateDate": null,
      "InvTrxTypeId": 1001,
      "InvTrxTypeName": null,
      "InvPrepayTrxTypeId": null,
      "InvPrepayTrxTypeName": null,
      "BillToAccountId": 1004,
      "BillToAccount": "Hilman and Associates",
      "BillToAccountNumber": "1004",
      "BillToSiteUseId": 1017,
      "BillToSiteUseLocation": "Tulsa (OPS)",
      "BillToAddress": "1230 East 60th Street South,OK",
      "ShipToAccountId": 1004,
      "ShipToAccount": "Hilman and Associates",
      "ShipToAccountNumber": "1004",
      "ShipToSiteUseId": 1018,
      "ShipToSiteUseLocation": "Tulsa (OPS)",
      "ShipToAddress": "1230 East 60th Street South,OK",
      "ShipToAccountDescription": "Hilman and Associates",
      "SoldToAccountId": null,
      "SoldToAccount": null,
      "SoldToAccountNumber": null,
      "SoldToSiteId": null,
      "SoldToNumber": null,
      "SoldToAddress": null,
      "SoldToAccountDescription": null,
      "ShipInvOrgId": 204,
      "RecvInvOrgId": null,
      "LegalEntityId": 204,
      "OutputTaxClassificationCode": null,
      "DateApproved": "2008-05-01",
      "DatetimeCancelled": null,
      "DateSigned": "2008-05-01",
      "DateTerminated": null,
      "TerminateCancelSource": null,
      "ContributionPercent": 1,
      "BillSequence": null,
      "OverallRiskCode": null,
      "ShortDescription": "ECM Contract  : 999990000000755",
      "Description": "ECM Contract  : 999990000000755",
      "HoldReasonCode": null,
      "HoldUntilDate": null,
      "AmendmentEffectiveDate": null,
      "TaxExemptionControl": "S",
      "ExemptCertificateNumber": null,
      "ExemptReasonCode": null,
      "ProjectEnabledFlag": true,
      "OutputTaxSetId": 204,
      "PartyObjectType": "OKX_PARTY",
      "PrimaryLedgerId": 1,
      "CustomerPartyId": 1004,
      "CustomerPartySiteId": 1018,
      "GeneratedInvoiceStatus": null,
      "OwningOrgId": null,
      "NetInvoiceFlag": null,
      "VersionType": "C",
      "OwningOrgName": null,
      "TaxClassificationMeaning": null,
      "ExemptionReasonMeaning": null,
      "FreightTerms": null,
      "FOB": null,
      "ApTermsId": null,
      "TermsEnabledFlag": true,
      "AmendRenderedFlag": "true",
      "DeleteRenderedFlag": "false",
      "ShipToLocationId": null,
      "CancelRenderedFlag": false,
      "CloseRenderedFlag": "true",
      "ApplyHoldRenderedFlag": "true",
      "RemoveHoldRenderedFlag": "false",
      "RevertRenderedFlag": "false",
      "SignContractRenderedFlag": "false",
      "ServiceEnabledFlag": "false",
      "EstimatedAmount": 0.0,
      "TaxAmount": null,
      "LastUpdateDate": "2025-12-18T13:14:07+00:00",
      "LastUpdateLogin": "6A1B5CFA643A7EF2E0534280F50A1722",
      "LastUpdatedBy": "FUSION",
      "VersionEnabledFlag": false,
      "SubmitRenderedFlag": "false",
      "CreatedBy": "1",
      "CreationDate": "2008-09-05T15:28:17+00:00",
      "CurrencyConversionEnabledFlag": "Y",
      "LedgerCurrency": "USD",
      "BilltoLocationId": null,
      "StopApprovalRenderedFlag": "false",
      "ValidateContractRenderedFlag": "true",
      "AgreedAmount": null,
      "AgreementAmountLimit": null,
      "MinimumReleaseAmount": null,
      "EncumbranceLevel": null,
      "CarrierId": null,
      "CarrierName": null,
      "CloseReason": null,
      "CancelReason": null,
      "AuthoringPartyCode": null,
      "PCDFileName": null,
      "HoldReasonMeaning": null,
      "PrimaryPartyId": 1004,
      "OrigSystemId": null,
      "OrigSystemReference": null,
      "OrigSystemSourceCode": null,
      "ItemSourceCode": "PRODUCT_MASTER",
      "StateTransitionFlowName": null,
      "StateTransitionFlowState": "EXPIRED",
      "UserStatusCode": null,
      "AssigneeType": null,
      "AssigneeId": null,
      "Assignee": null,
      "CustomerPONumber": null,
      "ApprovalNote": null,
      "AccessLevel": "UPDATE",
      "ContractEditableFlag": "true",
      "TemplateFlag": false,
      "BillingSalesrepId": null,
      "BillingSalesrepName": null,
      "EnableManageSignature": "N",
      "ReopenEnabledFlag": false,
      "VersionDescription": null,
      "AllowTeamUserBUAccess": "true",
      "PriceList": null,
      "AdjustmentBasis": null,
      "CommitmentAmount": 0,
      "DiscountPercent": null,
      "AllowGrantContractType": "N",
      "PriceListName": null,
      "TrnCodeSetId": null,
      "HoldReasonCodeSetId": null,
      "WebServiceFlag": null,
      "TermsTemplateId": null,
      "ContractOwnerId": null,
      "Status": "Expired",
      "BuyOrSell_Meaning": "Sell",
      "AuthoringPartyMeaning": null,
      "InvOrgName": "Vision Operations",
      "Supplier": null,
      "SupplierSite": null,
      "ShipInvOrg": "Vision Operations",
      "RecvInvOrg": null,
      "Currency": "US Dollar",
      "UserStatusMeaning": null,
      "LegalEntityName": "Vision Operations",
      "ShipToOrgLocation": null,
      "BillToLocation": null,
      "AllowLinesFlag": true,
      "EnableElectronicSignFlag": false,
      "ContractTrueValue": null,
      "ShipToPartyId": null,
      "PricingStrategyId": null,
      "PricingStrategyName": null,
      "PricingSegmentCode": null,
      "PricingEffectivityDate": null,
      "ShipToPartyName": null,
      "ShipToPartySiteLocation": null,
      "CustomerPartyName": "Hilman and Associates",
      "TermsTemplateName": null,
      "TrxnExtensionId": null,
      "BillToAccountPartyId": 1004,
      "RenewalType": null,
      "UnderMigrationFlag": null,
      "TargetLineName": null,
      "TargetLineId": null,
      "TargetLineMajorVer": null,
      "ContractId": 100100069543610,
      "CorpCurrencyCode": null,
      "CurcyConvRateType": null,
      "PrimarySalesrepId": null,
      "AmendNoVersionFlag": false,
      "AutoSendForSignature": null,
      "PriceApplicationRule": null,
      "EsignTemplateId": null,
      "SignContract": null,
      "SendForSignature": null,
      "NonStandardClauseCount": "0",
      "CancelReasonSetCode": null,
      "CloseReasonSetCode": null,
      "HoldReasonSetCode": null,
      "ContractPuid": "KHDR-116",
      "EncumbranceLevelMeaning": null,
      "FOBMeaning": null,
      "FreightTermsMeaning": null,
      "TaxExemptionControlMeaning": "Standard",
      "SourceDocumentId": null,
      "SourceDocumentSystemCode": null,
      "SourceDocumentDisplayNumber": null,
      "ApTermsName": null,
      "RunContractExpertFlag": null,
      "DocumentType": "ECM_SELL",
      "ShareWithExternalPartyYn": "N",
      "BaseContractYN": "N",
      "SkipPDPFlag": null,
      "InterCompanyFlag": false,
      "InterProjectFlag": false,
      "LineClassCode": "PROJECT",
      "AiSummaryAttachInApprovalFlag": null,
      "AiSummaryGenerateDate": null,
      "AiSummaryPcdIncludedFlag": true,
      "AiSummaryRequestId": null,
      "AiSummaryRequestStatus": null,
      "AiSummaryRequestStatusMeaning": null,
      "SourceDocumentSystemMeaning": null,
      "ContractTermsSourceCode": null,
      "SimpleContractYn": null,
      "TermsAuthoringPartyCode": null,
      "AiAdvisorAgentFlag": null,
      "TermsAuthoringPartyMeaning": null,
      "ContractTermsSourceMeaning": null,
      "FulfillmentStatus": null,
      "FulfillmentStatusMeaning": null,
      "PoDocumentStyleDisplay": null,
      "PoDocumentStatusDisplay": null,
      "PoSupplierName": null,
      "PoHeaderId": null,
      "PoVersionId": null,
      "ProcessingId": null,
      "ShareInSupplierPortalRenderedFlag": false,
      "RedwoodFlag": null,
      "ExtractKeyTermsRenderedFlag": false,
      "PoDocumentNumber": null,
      "AiSummSubmittedBy": null,
      "AiSummSubmittedDate": null,
      "AiSummSubmittedByDispName": null,
      "SmartRedlineAgentTeamCode": null,
      "ContractConstant": "CONTRACT",
      "PoDocumentStatusCode": null,
      "FulfillmentChrId": null,
      "ContractHeaderTranslation": {
        "items": [
          {
            "Cognomen": "ECM Contract  : 999990000000755",
            "Description": "ECM Contract  : 999990000000755",
            "Id": 999990000000755,
            "Language": "AR",
            "MajorVersion": 2,
            "ShortDescription": "ECM Contract  : 999990000000755",
            "SourceLang": "US",
            "VersionDescription": null,
            "@context": {
              "key": "999990000000755,AR,2",
              "headers": {
                "ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
              },
              "links": [
                {
                  "rel": "self",
                  "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/child/ContractHeaderTranslation/999990000000755%2CAR%2C2",
                  "name": "ContractHeaderTranslation",
                  "kind": "item"
                },
                {
                  "rel": "canonical",
                  "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/child/ContractHeaderTranslation/999990000000755%2CAR%2C2",
                  "name": "ContractHeaderTranslation",
                  "kind": "item"
                },
                {
                  "rel": "parent",
                  "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610",
                  "name": "contracts",
                  "kind": "item"
                }
              ]
            }
          },
          {
            "Cognomen": "ECM Contract  : 999990000000755",
            "Description": "ECM Contract  : 999990000000755",
            "Id": 999990000000755,
            "Language": "IW",
            "MajorVersion": 2,
            "ShortDescription": "ECM Contract  : 999990000000755",
            "SourceLang": "US",
            "VersionDescription": null,
            "@context": {
              "key": "999990000000755,IW,2",
              "headers": {
                "ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
              },
              "links": [
                {
                  "rel": "self",
                  "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/child/ContractHeaderTranslation/999990000000755%2CIW%2C2",
                  "name": "ContractHeaderTranslation",
                  "kind": "item"
                },
                {
                  "rel": "canonical",
                  "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/child/ContractHeaderTranslation/999990000000755%2CIW%2C2",
                  "name": "ContractHeaderTranslation",
                  "kind": "item"
                },
                {
                  "rel": "parent",
                  "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610",
                  "name": "contracts",
                  "kind": "item"
                }
              ]
            }
          },
          {
            "Cognomen": "[ECM Contract  : 999990000000755Ω'+++ '+++ '+++ '++Ø",
            "Description": "[ECM Contract  : 999990000000755Ω'+++ '+++ '+++ '++Ø",
            "Id": 999990000000755,
            "Language": "KO",
            "MajorVersion": 2,
            "ShortDescription": "[ECM Contract  : 999990000000755Ω'+++ '+++ '+++ '++Ø",
            "SourceLang": "KO",
            "VersionDescription": null,
            "@context": {
              "key": "999990000000755,KO,2",
              "headers": {
                "ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
              },
              "links": [
                {
                  "rel": "self",
                  "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/child/ContractHeaderTranslation/999990000000755%2CKO%2C2",
                  "name": "ContractHeaderTranslation",
                  "kind": "item"
                },
                {
                  "rel": "canonical",
                  "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/child/ContractHeaderTranslation/999990000000755%2CKO%2C2",
                  "name": "ContractHeaderTranslation",
                  "kind": "item"
                },
                {
                  "rel": "parent",
                  "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610",
                  "name": "contracts",
                  "kind": "item"
                }
              ]
            }
          }
        ],
        "count": 3,
        "hasMore": true,
        "limit": 3,
        "offset": 0,
        "links": [
          {
            "rel": "self",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/child/ContractHeaderTranslation",
            "name": "ContractHeaderTranslation",
            "kind": "collection"
          }
        ]
      },
      "@context": {
        "key": "100100069543610",
        "headers": {
          "ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000378"
        },
        "links": [
          {
            "rel": "self",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610",
            "name": "contracts",
            "kind": "item"
          },
          {
            "rel": "canonical",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610",
            "name": "contracts",
            "kind": "item"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/child/AiGenerateSummaryDocs",
            "name": "AiGenerateSummaryDocs",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/child/BillPlan",
            "name": "BillPlan",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/child/BillingControl",
            "name": "BillingControl",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/child/ContractApprovalHistory",
            "name": "ContractApprovalHistory",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/child/ContractDocuments",
            "name": "ContractDocuments",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/child/ContractEsignHistory",
            "name": "ContractEsignHistory",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/child/ContractHeaderFlexfieldVA",
            "name": "ContractHeaderFlexfieldVA",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/child/ContractHeaderTranslation",
            "name": "ContractHeaderTranslation",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/child/ContractLine",
            "name": "ContractLine",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/child/ContractParty",
            "name": "ContractParty",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/child/ContractStatusHistory",
            "name": "ContractStatusHistory",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/child/ContractTerms",
            "name": "ContractTerms",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/child/ExternalSharedDocuments",
            "name": "ExternalSharedDocuments",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/child/InternalSharedDocuments",
            "name": "InternalSharedDocuments",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/child/Note",
            "name": "Note",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/child/RelatedDocument",
            "name": "RelatedDocument",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/child/RevenuePlan",
            "name": "RevenuePlan",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/child/SalesCredit",
            "name": "SalesCredit",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/child/Section",
            "name": "Section",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/child/SupportingDocuments",
            "name": "SupportingDocuments",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/child/UploadedRevisions",
            "name": "UploadedRevisions",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/child/contractKeyTermExtracts",
            "name": "contractKeyTermExtracts",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/child/smartActions",
            "name": "smartActions",
            "kind": "collection"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/action/validateContract",
            "name": "validateContract",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/action/createVersion",
            "name": "createVersion",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/action/revertContract",
            "name": "revertContract",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/action/sign",
            "name": "sign",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/action/submitForApproval",
            "name": "submitForApproval",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/action/downloadLatestContractDocument",
            "name": "downloadLatestContractDocument",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/action/classifyKeyTerms",
            "name": "classifyKeyTerms",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/action/stopApproval",
            "name": "stopApproval",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/action/getUpdatableAttributes",
            "name": "getUpdatableAttributes",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/action/reopen",
            "name": "reopen",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/action/getAllInternalPartyContacts",
            "name": "getAllInternalPartyContacts",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/action/getAllExternalPartyContacts",
            "name": "getAllExternalPartyContacts",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/action/downloadAIContractSummaryPDF",
            "name": "downloadAIContractSummaryPDF",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/action/isContractRedwoodCompatible",
            "name": "isContractRedwoodCompatible",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/action/getDefaultTermsTemplate",
            "name": "getDefaultTermsTemplate",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/action/applyHold",
            "name": "applyHold",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/action/removeHold",
            "name": "removeHold",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/action/cancel",
            "name": "cancel",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/action/duplicate",
            "name": "duplicate",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/action/preview",
            "name": "preview",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/action/close",
            "name": "close",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/action/amend",
            "name": "amend",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/action/extractKeyTermValues",
            "name": "extractKeyTermValues",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/action/downloadContractTermsInWord",
            "name": "downloadContractTermsInWord",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/action/generateContractSummary",
            "name": "generateContractSummary",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/action/shareInSupplierPortal",
            "name": "shareInSupplierPortal",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/action/createContractEnvelopeForSignature",
            "name": "createContractEnvelopeForSignature",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/action/manageContractEnvelopeStatus",
            "name": "manageContractEnvelopeStatus",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/action/manageContractSignatureEnvelope",
            "name": "manageContractSignatureEnvelope",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/action/removeContractTerms",
            "name": "removeContractTerms",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/action/getSignedContractEnvelopeHistoryUrl",
            "name": "getSignedContractEnvelopeHistoryUrl",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/action/addContractTermsStructured",
            "name": "addContractTermsStructured",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/action/addContractTermsAttachedDocument",
            "name": "addContractTermsAttachedDocument",
            "kind": "other"
          },
          {
            "rel": "enclosure",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543610/enclosure/AiSummary",
            "name": "AiSummary",
            "kind": "other"
          }
        ]
      }
    },
    {
      "Id": 999990000000863,
      "MajorVersion": 2,
      "ExternalSource": null,
      "ExternalKey": null,
      "InvConvRateTypeName": "Corporate",
      "InvConvRateDateTypeName": "Transaction date",
      "OrgName": "Vision Operations",
      "OrgId": 204,
      "ContractTypeName": "Sell : Project lines",
      "ContractClass": "CONTRACT",
      "ContractTypeId": 104,
      "ContractNumber": "ECM Contract  : 999990000000863",
      "ContractNumberModifier": null,
      "Cognomen": "ECM Contract  : 999990000000863",
      "BuyOrSell": "S",
      "PartyId": 1004,
      "PartyName": "Hilman and Associates",
      "InvOrganizationId": 204,
      "StsCode": "EXPIRED",
      "CurrencyCode": "USD",
      "StartDate": "2008-05-01",
      "EndDate": "2008-09-04",
      "TrnCode": null,
      "SupplierId": null,
      "SupplierSiteId": null,
      "InvConvRateType": "Corporate",
      "InvConvRateDateType": "TRANSACTION",
      "InvConvRateDate": null,
      "InvTrxTypeId": 1001,
      "InvTrxTypeName": null,
      "InvPrepayTrxTypeId": null,
      "InvPrepayTrxTypeName": null,
      "BillToAccountId": 1004,
      "BillToAccount": "Hilman and Associates",
      "BillToAccountNumber": "1004",
      "BillToSiteUseId": 1017,
      "BillToSiteUseLocation": "Tulsa (OPS)",
      "BillToAddress": "1230 East 60th Street South,OK",
      "ShipToAccountId": 1004,
      "ShipToAccount": "Hilman and Associates",
      "ShipToAccountNumber": "1004",
      "ShipToSiteUseId": 1018,
      "ShipToSiteUseLocation": "Tulsa (OPS)",
      "ShipToAddress": "1230 East 60th Street South,OK",
      "ShipToAccountDescription": "Hilman and Associates",
      "SoldToAccountId": null,
      "SoldToAccount": null,
      "SoldToAccountNumber": null,
      "SoldToSiteId": null,
      "SoldToNumber": null,
      "SoldToAddress": null,
      "SoldToAccountDescription": null,
      "ShipInvOrgId": 204,
      "RecvInvOrgId": null,
      "LegalEntityId": 204,
      "OutputTaxClassificationCode": null,
      "DateApproved": "2008-05-01",
      "DatetimeCancelled": null,
      "DateSigned": "2008-05-01",
      "DateTerminated": null,
      "TerminateCancelSource": null,
      "ContributionPercent": 1,
      "BillSequence": null,
      "OverallRiskCode": null,
      "ShortDescription": "ECM Contract  : 999990000000863",
      "Description": "ECM Contract  : 999990000000863",
      "HoldReasonCode": null,
      "HoldUntilDate": null,
      "AmendmentEffectiveDate": null,
      "TaxExemptionControl": "S",
      "ExemptCertificateNumber": null,
      "ExemptReasonCode": null,
      "ProjectEnabledFlag": true,
      "OutputTaxSetId": 204,
      "PartyObjectType": "OKX_PARTY",
      "PrimaryLedgerId": 1,
      "CustomerPartyId": 1004,
      "CustomerPartySiteId": 1018,
      "GeneratedInvoiceStatus": null,
      "OwningOrgId": null,
      "NetInvoiceFlag": null,
      "VersionType": "C",
      "OwningOrgName": null,
      "TaxClassificationMeaning": null,
      "ExemptionReasonMeaning": null,
      "FreightTerms": null,
      "FOB": null,
      "ApTermsId": null,
      "TermsEnabledFlag": true,
      "AmendRenderedFlag": "true",
      "DeleteRenderedFlag": "false",
      "ShipToLocationId": null,
      "CancelRenderedFlag": false,
      "CloseRenderedFlag": "true",
      "ApplyHoldRenderedFlag": "true",
      "RemoveHoldRenderedFlag": "false",
      "RevertRenderedFlag": "false",
      "SignContractRenderedFlag": "false",
      "ServiceEnabledFlag": "false",
      "EstimatedAmount": 0.0,
      "TaxAmount": null,
      "LastUpdateDate": "2025-12-18T13:14:07+00:00",
      "LastUpdateLogin": "6A1B5CFA643A7EF2E0534280F50A1722",
      "LastUpdatedBy": "FUSION",
      "VersionEnabledFlag": false,
      "SubmitRenderedFlag": "false",
      "CreatedBy": "1",
      "CreationDate": "2008-09-05T15:28:17+00:00",
      "CurrencyConversionEnabledFlag": "Y",
      "LedgerCurrency": "USD",
      "BilltoLocationId": null,
      "StopApprovalRenderedFlag": "false",
      "ValidateContractRenderedFlag": "true",
      "AgreedAmount": null,
      "AgreementAmountLimit": null,
      "MinimumReleaseAmount": null,
      "EncumbranceLevel": null,
      "CarrierId": null,
      "CarrierName": null,
      "CloseReason": null,
      "CancelReason": null,
      "AuthoringPartyCode": null,
      "PCDFileName": null,
      "HoldReasonMeaning": null,
      "PrimaryPartyId": 1004,
      "OrigSystemId": null,
      "OrigSystemReference": null,
      "OrigSystemSourceCode": null,
      "ItemSourceCode": "PRODUCT_MASTER",
      "StateTransitionFlowName": null,
      "StateTransitionFlowState": "EXPIRED",
      "UserStatusCode": null,
      "AssigneeType": null,
      "AssigneeId": null,
      "Assignee": null,
      "CustomerPONumber": null,
      "ApprovalNote": null,
      "AccessLevel": "UPDATE",
      "ContractEditableFlag": "true",
      "TemplateFlag": false,
      "BillingSalesrepId": null,
      "BillingSalesrepName": null,
      "EnableManageSignature": "N",
      "ReopenEnabledFlag": false,
      "VersionDescription": null,
      "AllowTeamUserBUAccess": "true",
      "PriceList": null,
      "AdjustmentBasis": null,
      "CommitmentAmount": 0,
      "DiscountPercent": null,
      "AllowGrantContractType": "N",
      "PriceListName": null,
      "TrnCodeSetId": null,
      "HoldReasonCodeSetId": null,
      "WebServiceFlag": null,
      "TermsTemplateId": null,
      "ContractOwnerId": null,
      "Status": "Expired",
      "BuyOrSell_Meaning": "Sell",
      "AuthoringPartyMeaning": null,
      "InvOrgName": "Vision Operations",
      "Supplier": null,
      "SupplierSite": null,
      "ShipInvOrg": "Vision Operations",
      "RecvInvOrg": null,
      "Currency": "US Dollar",
      "UserStatusMeaning": null,
      "LegalEntityName": "Vision Operations",
      "ShipToOrgLocation": null,
      "BillToLocation": null,
      "AllowLinesFlag": true,
      "EnableElectronicSignFlag": false,
      "ContractTrueValue": null,
      "ShipToPartyId": null,
      "PricingStrategyId": null,
      "PricingStrategyName": null,
      "PricingSegmentCode": null,
      "PricingEffectivityDate": null,
      "ShipToPartyName": null,
      "ShipToPartySiteLocation": null,
      "CustomerPartyName": "Hilman and Associates",
      "TermsTemplateName": null,
      "TrxnExtensionId": null,
      "BillToAccountPartyId": 1004,
      "RenewalType": null,
      "UnderMigrationFlag": null,
      "TargetLineName": null,
      "TargetLineId": null,
      "TargetLineMajorVer": null,
      "ContractId": 100100069543786,
      "CorpCurrencyCode": null,
      "CurcyConvRateType": null,
      "PrimarySalesrepId": null,
      "AmendNoVersionFlag": false,
      "AutoSendForSignature": null,
      "PriceApplicationRule": null,
      "EsignTemplateId": null,
      "SignContract": null,
      "SendForSignature": null,
      "NonStandardClauseCount": "0",
      "CancelReasonSetCode": null,
      "CloseReasonSetCode": null,
      "HoldReasonSetCode": null,
      "ContractPuid": "KHDR-225",
      "EncumbranceLevelMeaning": null,
      "FOBMeaning": null,
      "FreightTermsMeaning": null,
      "TaxExemptionControlMeaning": "Standard",
      "SourceDocumentId": null,
      "SourceDocumentSystemCode": null,
      "SourceDocumentDisplayNumber": null,
      "ApTermsName": null,
      "RunContractExpertFlag": null,
      "DocumentType": "ECM_SELL",
      "ShareWithExternalPartyYn": "N",
      "BaseContractYN": "N",
      "SkipPDPFlag": null,
      "InterCompanyFlag": false,
      "InterProjectFlag": false,
      "LineClassCode": "PROJECT",
      "AiSummaryAttachInApprovalFlag": null,
      "AiSummaryGenerateDate": null,
      "AiSummaryPcdIncludedFlag": true,
      "AiSummaryRequestId": null,
      "AiSummaryRequestStatus": null,
      "AiSummaryRequestStatusMeaning": null,
      "SourceDocumentSystemMeaning": null,
      "ContractTermsSourceCode": null,
      "SimpleContractYn": null,
      "TermsAuthoringPartyCode": null,
      "AiAdvisorAgentFlag": null,
      "TermsAuthoringPartyMeaning": null,
      "ContractTermsSourceMeaning": null,
      "FulfillmentStatus": null,
      "FulfillmentStatusMeaning": null,
      "PoDocumentStyleDisplay": null,
      "PoDocumentStatusDisplay": null,
      "PoSupplierName": null,
      "PoHeaderId": null,
      "PoVersionId": null,
      "ProcessingId": null,
      "ShareInSupplierPortalRenderedFlag": false,
      "RedwoodFlag": null,
      "ExtractKeyTermsRenderedFlag": false,
      "PoDocumentNumber": null,
      "AiSummSubmittedBy": null,
      "AiSummSubmittedDate": null,
      "AiSummSubmittedByDispName": null,
      "SmartRedlineAgentTeamCode": null,
      "ContractConstant": "CONTRACT",
      "PoDocumentStatusCode": null,
      "FulfillmentChrId": null,
      "ContractHeaderTranslation": {
        "items": [
          {
            "Cognomen": "ECM Contract  : 999990000000863",
            "Description": "ECM Contract  : 999990000000863",
            "Id": 999990000000863,
            "Language": "AR",
            "MajorVersion": 2,
            "ShortDescription": "ECM Contract  : 999990000000863",
            "SourceLang": "US",
            "VersionDescription": null,
            "@context": {
              "key": "999990000000863,AR,2",
              "headers": {
                "ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
              },
              "links": [
                {
                  "rel": "self",
                  "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786/child/ContractHeaderTranslation/999990000000863%2CAR%2C2",
                  "name": "ContractHeaderTranslation",
                  "kind": "item"
                },
                {
                  "rel": "canonical",
                  "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786/child/ContractHeaderTranslation/999990000000863%2CAR%2C2",
                  "name": "ContractHeaderTranslation",
                  "kind": "item"
                },
                {
                  "rel": "parent",
                  "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786",
                  "name": "contracts",
                  "kind": "item"
                }
              ]
            }
          },
          {
            "Cognomen": "ECM Contract  : 999990000000863",
            "Description": "ECM Contract  : 999990000000863",
            "Id": 999990000000863,
            "Language": "IW",
            "MajorVersion": 2,
            "ShortDescription": "ECM Contract  : 999990000000863",
            "SourceLang": "US",
            "VersionDescription": null,
            "@context": {
              "key": "999990000000863,IW,2",
              "headers": {
                "ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
              },
              "links": [
                {
                  "rel": "self",
                  "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786/child/ContractHeaderTranslation/999990000000863%2CIW%2C2",
                  "name": "ContractHeaderTranslation",
                  "kind": "item"
                },
                {
                  "rel": "canonical",
                  "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786/child/ContractHeaderTranslation/999990000000863%2CIW%2C2",
                  "name": "ContractHeaderTranslation",
                  "kind": "item"
                },
                {
                  "rel": "parent",
                  "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786",
                  "name": "contracts",
                  "kind": "item"
                }
              ]
            }
          },
          {
            "Cognomen": "[ECM Contract  : 999990000000863Ω'+++ '+++ '+++ '++Ø",
            "Description": "[ECM Contract  : 999990000000863Ω'+++ '+++ '+++ '++Ø",
            "Id": 999990000000863,
            "Language": "KO",
            "MajorVersion": 2,
            "ShortDescription": "[ECM Contract  : 999990000000863Ω'+++ '+++ '+++ '++Ø",
            "SourceLang": "KO",
            "VersionDescription": null,
            "@context": {
              "key": "999990000000863,KO,2",
              "headers": {
                "ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
              },
              "links": [
                {
                  "rel": "self",
                  "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786/child/ContractHeaderTranslation/999990000000863%2CKO%2C2",
                  "name": "ContractHeaderTranslation",
                  "kind": "item"
                },
                {
                  "rel": "canonical",
                  "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786/child/ContractHeaderTranslation/999990000000863%2CKO%2C2",
                  "name": "ContractHeaderTranslation",
                  "kind": "item"
                },
                {
                  "rel": "parent",
                  "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786",
                  "name": "contracts",
                  "kind": "item"
                }
              ]
            }
          }
        ],
        "count": 3,
        "hasMore": true,
        "limit": 3,
        "offset": 0,
        "links": [
          {
            "rel": "self",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786/child/ContractHeaderTranslation",
            "name": "ContractHeaderTranslation",
            "kind": "collection"
          }
        ]
      },
      "@context": {
        "key": "100100069543786",
        "headers": {
          "ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000378"
        },
        "links": [
          {
            "rel": "self",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786",
            "name": "contracts",
            "kind": "item"
          },
          {
            "rel": "canonical",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786",
            "name": "contracts",
            "kind": "item"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786/child/AiGenerateSummaryDocs",
            "name": "AiGenerateSummaryDocs",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786/child/BillPlan",
            "name": "BillPlan",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786/child/BillingControl",
            "name": "BillingControl",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786/child/ContractApprovalHistory",
            "name": "ContractApprovalHistory",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786/child/ContractDocuments",
            "name": "ContractDocuments",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786/child/ContractEsignHistory",
            "name": "ContractEsignHistory",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786/child/ContractHeaderFlexfieldVA",
            "name": "ContractHeaderFlexfieldVA",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786/child/ContractHeaderTranslation",
            "name": "ContractHeaderTranslation",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786/child/ContractLine",
            "name": "ContractLine",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786/child/ContractParty",
            "name": "ContractParty",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786/child/ContractStatusHistory",
            "name": "ContractStatusHistory",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786/child/ContractTerms",
            "name": "ContractTerms",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786/child/ExternalSharedDocuments",
            "name": "ExternalSharedDocuments",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786/child/InternalSharedDocuments",
            "name": "InternalSharedDocuments",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786/child/Note",
            "name": "Note",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786/child/RelatedDocument",
            "name": "RelatedDocument",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786/child/RevenuePlan",
            "name": "RevenuePlan",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786/child/SalesCredit",
            "name": "SalesCredit",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786/child/Section",
            "name": "Section",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786/child/SupportingDocuments",
            "name": "SupportingDocuments",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786/child/UploadedRevisions",
            "name": "UploadedRevisions",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786/child/contractKeyTermExtracts",
            "name": "contractKeyTermExtracts",
            "kind": "collection"
          },
          {
            "rel": "child",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786/child/smartActions",
            "name": "smartActions",
            "kind": "collection"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786/action/validateContract",
            "name": "validateContract",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786/action/createVersion",
            "name": "createVersion",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786/action/revertContract",
            "name": "revertContract",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786/action/sign",
            "name": "sign",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786/action/submitForApproval",
            "name": "submitForApproval",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786/action/downloadLatestContractDocument",
            "name": "downloadLatestContractDocument",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786/action/classifyKeyTerms",
            "name": "classifyKeyTerms",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786/action/stopApproval",
            "name": "stopApproval",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786/action/getUpdatableAttributes",
            "name": "getUpdatableAttributes",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786/action/reopen",
            "name": "reopen",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786/action/getAllInternalPartyContacts",
            "name": "getAllInternalPartyContacts",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786/action/getAllExternalPartyContacts",
            "name": "getAllExternalPartyContacts",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786/action/downloadAIContractSummaryPDF",
            "name": "downloadAIContractSummaryPDF",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786/action/isContractRedwoodCompatible",
            "name": "isContractRedwoodCompatible",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786/action/getDefaultTermsTemplate",
            "name": "getDefaultTermsTemplate",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786/action/applyHold",
            "name": "applyHold",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786/action/removeHold",
            "name": "removeHold",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786/action/cancel",
            "name": "cancel",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786/action/duplicate",
            "name": "duplicate",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786/action/preview",
            "name": "preview",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786/action/close",
            "name": "close",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786/action/amend",
            "name": "amend",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786/action/extractKeyTermValues",
            "name": "extractKeyTermValues",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786/action/downloadContractTermsInWord",
            "name": "downloadContractTermsInWord",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786/action/generateContractSummary",
            "name": "generateContractSummary",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786/action/shareInSupplierPortal",
            "name": "shareInSupplierPortal",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786/action/createContractEnvelopeForSignature",
            "name": "createContractEnvelopeForSignature",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786/action/manageContractEnvelopeStatus",
            "name": "manageContractEnvelopeStatus",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786/action/manageContractSignatureEnvelope",
            "name": "manageContractSignatureEnvelope",
            "kind": "other"
          },
          {
            "rel": "action",
            "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069543786/action/removeContractTerms",
[...]
